Package de.tudresden.sumo.subscription

## Enum SubscriptionContext

- java.lang.Object
- - java.lang.Enum<SubscriptionContext>
  - - de.tudresden.sumo.subscription.SubscriptionContext

- All Implemented Interfaces:
    `Serializable`, `Comparable<SubscriptionContext>`

      public enum SubscriptionContext
      extends Enum<SubscriptionContext>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `areal_detector` |
    `edge` |
    `gui` |
    `inductive_loop` |
    `junction` |
    `lane` |
    `me_detector` |
    `person` |
    `poi` |
    `polygon` |
    `route` |
    `simulation` |
    `trafficlight` |
    `vehicle` |
    `vehicleType` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getID()` |
    `static SubscriptionContext` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SubscriptionContext[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### areal_detector

          public static final SubscriptionContext areal_detector

    - #### inductive_loop

          public static final SubscriptionContext inductive_loop

    - #### me_detector

          public static final SubscriptionContext me_detector

    - #### lane

          public static final SubscriptionContext lane

    - #### vehicle

          public static final SubscriptionContext vehicle

    - #### vehicleType

          public static final SubscriptionContext vehicleType

    - #### poi

          public static final SubscriptionContext poi

    - #### person

          public static final SubscriptionContext person

    - #### route

          public static final SubscriptionContext route

    - #### simulation

          public static final SubscriptionContext simulation

    - #### trafficlight

          public static final SubscriptionContext trafficlight

    - #### gui

          public static final SubscriptionContext gui

    - #### polygon

          public static final SubscriptionContext polygon

    - #### junction

          public static final SubscriptionContext junction

    - #### edge

          public static final SubscriptionContext edge

  - ### Method Detail

    - #### values

          public static SubscriptionContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionContext c : SubscriptionContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionContext valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getID

          public int getID()